module Concern
  module Generator
    extend ActiveSupport::Concern
    module ClassMethods
    end

    included do
      source_root File.expand_path('../templates', __FILE__)
      def copy_template
        type=if self.class.name.demodulize.start_with?("Model")
              "models"
            else
              "controllers"
            end
        template 'concern.rb', "app/#{type}/concerns/#{file_name}.rb"
      end
    end
  end
end
